package es.verdnatura.domain.userCases

import es.verdnatura.domain.SalixService
import retrofit2.Call

class GetItemFromBarcodeUseCase(private val salixService: SalixService) {
    fun execute(barcode: String): Call<Int?> {
        return salixService.barcodesToItem(barcode)
    }
}

class GetItemPrintItemUseCase(private val salixService: SalixService) {
    fun execute(params: Any?): Call<Unit> {
        return salixService.printItem(params)
    }

    fun executeBuyUltimate(params: Any): Call<Long> {
        return salixService.buyUltimate(params)
    }
}
